# Überstundenkonto aktualisieren

`PUT https://{tenant}.stamp.eu/rest/employees/{employee}/overtime_accounts`

Manual balance correction

## Pfadparameter

| Name | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `employee` | string | ja | The employee ID |

## Request-Body

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `year_month` | string | ja |  |
| `balance_ms` | integer | ja | Bound to +/- one year in milliseconds so a corrupted or malicious payload cannot push the overtime balance to absurd values. |

## Antworten

### 200: `OvertimeAccountResource`

| Feld | Typ | Pflicht |
| --- | --- | --- |
| `data` | object | ja |
| `data.id` | string | ja |
| `data.employee_id` | string | ja |
| `data.year_month` | string | ja |
| `data.balance` | integer | ja |
| `data.earned` | integer | ja |
| `data.compensated` | integer | ja |
| `data.paid_out` | integer | ja |
| `data.adjusted` | string | ja |
| `data.created_at` | string | ja |
| `data.updated_at` | string | ja |

### 401: Unauthenticated

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 404: Not found

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 422: Validation error

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Errors overview. |
| `errors` | object | ja | A detailed description of each field that failed validation. |
